<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>de.humance.eco</groupId>
		<artifactId>eco</artifactId>
		<version>2.0.5-SNAPSHOT</version>
	</parent>
	<artifactId>eco-education-portlet</artifactId>
	<packaging>war</packaging>

	<build>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.0</version>
				<configuration>
					<compilerArguments>
						<Abundleperclass>false</Abundleperclass>
					</compilerArguments>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>build-helper-maven-plugin</artifactId>
				<version>1.7</version>
				<executions>
					<execution>
						<phase>generate-sources</phase>
						<goals>
							<goal>add-source</goal>
						</goals>
						<configuration>
							<sources>
								<source>${project.build.directory}/generated-sources/annotations</source>
							</sources>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>2.6</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-dependency-plugin</artifactId>
				<executions>
					<execution>
						<id>unpack-dependencies</id>
						<phase>compile</phase>
						<goals>
							<goal>unpack</goal>
						</goals>
						<configuration>
							<artifactItems>
								<artifactItem>
									<groupId>de.humance.vaadin</groupId>
									<artifactId>humance-vaadin-common</artifactId>
									<overWrite>true</overWrite>
									<outputDirectory>${project.build.directory}/${project.artifactId}-${project.version}/WEB-INF/classes</outputDirectory>
									<includes>**/*.js</includes>
								</artifactItem>
								<artifactItem>
									<groupId>de.humance.vaadin</groupId>
									<artifactId>humance-vaadin-common</artifactId>
									<overWrite>true</overWrite>
									<outputDirectory>${project.build.directory}/${project.artifactId}-${project.version}</outputDirectory>
									<includes>extras/**/*.*</includes>
								</artifactItem>
							</artifactItems>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
		<pluginManagement>
			<plugins>
				<!--This plugin's configuration is used to store Eclipse m2e settings 
					only. It has no influence on the Maven build itself. -->
				<plugin>
					<groupId>org.eclipse.m2e</groupId>
					<artifactId>lifecycle-mapping</artifactId>
					<version>1.0.0</version>
					<configuration>
						<lifecycleMappingMetadata>
							<pluginExecutions>
								<pluginExecution>
									<pluginExecutionFilter>
										<groupId>
											org.apache.maven.plugins
										</groupId>
										<artifactId>
											maven-dependency-plugin
										</artifactId>
										<versionRange>
											[2.8,)
										</versionRange>
										<goals>
											<goal>unpack</goal>
										</goals>
									</pluginExecutionFilter>
									<action>
										<ignore />
									</action>
								</pluginExecution>
							</pluginExecutions>
						</lifecycleMappingMetadata>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

	<dependencies>
		<dependency>
			<groupId>com.liferay.portal</groupId>
			<artifactId>portal-service</artifactId>
		</dependency>
		<dependency>
			<groupId>com.liferay.portal</groupId>
			<artifactId>util-java</artifactId>
		</dependency>
		<dependency>
			<groupId>com.liferay.portal</groupId>
			<artifactId>util-taglib</artifactId>
		</dependency>
		<dependency>
			<groupId>com.liferay.portal</groupId>
			<artifactId>util-bridges</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.portlet</groupId>
			<artifactId>portlet-api</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.servlet.jsp</groupId>
			<artifactId>jsp-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>2.6</version>
		</dependency>
		<dependency>
			<groupId>com.vaadin</groupId>
			<artifactId>vaadin-server</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.vaadin.addons</groupId>
			<artifactId>vaadin-ipc-for-liferay</artifactId>
		</dependency>
		<dependency>
			<groupId>de.humance.vaadin</groupId>
			<artifactId>humance-vaadin-common</artifactId>
		</dependency>
		<dependency>
			<groupId>de.humance.common</groupId>
			<artifactId>humance-common</artifactId>
		</dependency>
		<dependency>
			<groupId>de.humance.forms</groupId>
			<artifactId>humance-forms-service</artifactId>
			<version>0.3.1</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>de.humance.education</groupId>
			<artifactId>humance-education-service</artifactId>
			<version>${humance.education.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>de.humance.education</groupId>
			<artifactId>humance-education-liferay</artifactId>
			<version>${humance.education.version}</version>
		</dependency>
		<dependency>
			<groupId>de.humance.eco</groupId>
			<artifactId>eco-common</artifactId>
			<version>2.0.5-SNAPSHOT</version>
			<type>jar</type>
		</dependency>
	</dependencies>
</project>